Problem z instalacją pakietu ipdb w pythonie (backports.shutil-get-terminal-size)

Data publikacji: 2016-12-07 | Tagi:

Jeśli podczas instalacji pakietu ipdb przy pomocy pip pojawia się komunikat błędu o treści zbliżonej do tej: Could not find a version that satisfies the requirement backports.shutil-get-terminal-size (from versions: ), to jest na to rada, a nawet dwie.

Pierwsza rada, to aktualizacja pip do najnowszej wersji:

pip install pip --upgrade

Zwykle po aktualizacji pip'a wszystko powinno wrócić do normy, a odpowiednie pakiety powinny zainstalować się bez problemów.

Druga rada jest dla tych, którzy z jakiegoś powodu nie mogą lub nie chcą aktualizować pip'a w swoich systemach.

Należy znaleźć pakiet backports.shutil-get-terminal-size na pypi i skopiować link do paczki tar.gz. Następnie korzystając z takiego linku należy zainstalować paczkę:

pip install <link do tar.gz z pypi>

Paczka powinna się zainstalować. Teraz po wydaniu polecenia:

pip install ipdb

Wszystkie pozostałe pakiety i zależności powinny doinstalować się bez problemu.


Oceń ten post:
Podziel się:

comments powered by Disqus

IT w obrazkach: